package com.jambotronGroup.jambotron.utils;

import org.slf4j.Logger;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import java.util.function.Consumer;



public class EntityLoggingConsumer implements Consumer {

    private Logger _logger;
    public EntityLoggingConsumer(Logger logger)
    {
        _logger = logger;
    }

    public void accept(Object o) {
        _logger.info(o.toString());
    }
}
